import React from 'react';
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css')
export default class RecoverySecondPage extends React.Component{
    constructor(props){
        super(props);
        this.scanQrcode = this.scanQrcode.bind(this);
        this.state={
            style : {
                width:"100%",
                height : "auto"
            }
        }
    }

    scanQrcode(){
        console.log("scan")
    }

    handleErrorImg(ref){
        let nowRef = this.refs[ref];
        let newSrc = UTILPATH.handleImgError(nowRef);
        nowRef.src = newSrc;
    }

    handleLoadImg(ref){
        let nowRef = this.refs[ref];
        let style = UTILPATH.handleImgLoad(nowRef);
        this.setState({
            style:style
        })
    }

    render(){
        let props = this.props;
        let style = {'width':"410px","background":"#ff7860","display": "inline-block"}
        let classInfo = {
            colorInfo : "colfff",
            className : ''
        }
        return(
            <div className={"RecoverySecondPage"}>
                <div className={"title font40 col333"}>任务目标：请将该货道货品进行扫码回收</div>
                <div className={"box"}>
                    <div className={"skuInfo clearfix"}>
                        <div className={"fl"}>
                            <div className={"img"}>
                                <img style={this.state.style} ref={"secondPageImg"} onLoad={()=>this.handleLoadImg.bind(this)("secondPageImg")} onError={()=>this.handleErrorImg.bind(this)("secondPageImg")} src={UTILPATH.localImg.defaultImg} alt=""/>
                            </div>
                            <ul className={"shelfInfo font30 col333"}>
                                <li className={""}>货品名称：雪碧</li>
                                <li className={""}>所在区域：A区1号柜 <span className={"areaBtn colff775c"}>区域照片</span></li>
                                <li className={""}>货到信息：第6行 第3活到 13-6-6-6</li>
                            </ul>
                        </div>
                        <div className={"fr font28 col333"}>
                            <div className={"totalNum"}>需回收数量：<span className={"font30 colff775c"}>5</span></div>
                            <div className={"currentNum"}>已回收数量：<span className={"font30 colff775c"}>5</span></div>
                        </div>
                    </div>
                    <div className={"btn"}>
                        <Button key={"RecoverySecondPageBtn"} classInfo={classInfo} style={style} text={'扫码回收'} option={this.scanQrcode}/>
                        <div className={"text colff775c font28"}>货品不符？</div>
                    </div>
                </div>
            </div>
        )
    }
}
